package LIMS::Local::DevelCycle;

use strict;
use warnings;

use Devel::Cycle;

my $out = '';
sub find {
    my $thing = shift;
    
    open my $oldout, '>&', STDOUT or die "Can't dup STDOUT: $!";
    close STDOUT;
    open STDOUT, '>', \$out or die "Can't redirect STDOUT: $!";
    find_cycle($thing);
    open STDOUT, '>&', $oldout or die "Can't dup \$oldout: $!";
    return $out ?  "got this: [$out]\n" : 0;
}
# exit 0;

1;